# Uses of Interface
org.eclipse.emf.cdo.security.LinkedFilter

Packages that use LinkedFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of LinkedFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return LinkedFilter
Modifier and Type
Method
Description
`LinkedFilter`
SecurityFactory.`createLinkedFilter()`
Returns a new object of class 'Linked Filter'.

## Uses of LinkedFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement LinkedFilter
Modifier and Type
Class
Description
`class`
`LinkedFilterImpl`
An implementation of the model object 'Reference Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return LinkedFilter
Modifier and Type
Method
Description
`LinkedFilter`
SecurityFactoryImpl.`createLinkedFilter()`

## Uses of LinkedFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type LinkedFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseLinkedFilter(LinkedFilter object)`
Returns the result of interpreting the object as an instance of 'Linked Filter'.
`boolean`
SecurityValidator.`validateLinkedFilter(LinkedFilter linkedFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`